MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001608VCMIMechanics - Adventure Mappublic2013-12-01 19:172015-12-24 13:59
Reporterexfizik 
Assigned ToAVS 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version0.98f 
Summary0001608: Eye of the magi doesn't show the area being revealed
DescriptionIt doesn't switch the map to the area being shown, but after it's done the area actually can be seen on the map alright.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0004160)
Ivan (developer)
2013-12-04 03:55

Fixed, rev 3639
(0004684)
Kantor (updater)
2014-06-01 19:23

It works, but not the same as in OH3. In VCMI it looks that:
1. You are moving your hero to the Hut of the Magi,
2. the message appears and area over the Eye of the Magi become revealed,
3. You confirm the message, then VCMI focuses view on the Eye of the Magi and hides the mouse,
4. VCMI moves back view to the point where it was before, and after a while restores visibility of a mouse.

In OH3 it looks that:
1. You are moving your hero to the Hut of the Magi,
2. the message appears,
3. You confirm the message, then view is focused and revealed,
4. view moves back to the point where it was before
(0004753)
Ivan (developer)
2014-06-03 09:43
edited on: 2014-06-03 10:59

I'll re-assign this to AVS.

IIRC this is one more case of access to SDL from thread that normally handles server (same problem as with hero movement). Should be fixed along with or immediately after SDL2 support.

If I am wrong and this have nothing to do with threading - then feel free to reassign this to me once again

(Easy way to reproduce this - start map Carpe Diem, magi hut is to south-east from town)

(0004762)
AVS (administrator)
2014-06-21 12:18

After a brief look:
* we are revealing tiles before centering view and FoWChange does not wait for dialogs. 2nd eye and folowing seems to works good
* even if updating screen from other threads is a bug it seems to work even with SDL2, but with issues - interface freezing. In SDL2 screen is updated every frame in any case.

It should be fixed for SDL2 anyway, so assignment accepted.
(0004763)
AVS (administrator)
2014-06-21 13:44

Problem with dialog waiting fixed in SDL2 branch
(0005624)
SXX (administrator)
2015-03-11 23:11

Should be this now be closed as resolved?
(0006210)
SXX (administrator)
2015-12-24 13:59

Tested. Clearly fixed as we now fully switched to SDL.

- Issue History
Date Modified Username Field Change
2013-12-01 19:17 exfizik New Issue
2013-12-03 15:07 Ivan Assigned To => Ivan
2013-12-03 15:07 Ivan Status new => assigned
2013-12-04 03:55 Ivan Note Added: 0004160
2013-12-04 03:55 Ivan Status assigned => resolved
2013-12-04 03:55 Ivan Fixed in Version => 0.94b
2013-12-04 03:55 Ivan Resolution open => fixed
2014-06-01 19:23 Kantor Note Added: 0004684
2014-06-02 12:11 Kantor Status resolved => feedback
2014-06-02 12:11 Kantor Resolution fixed => reopened
2014-06-03 09:43 Ivan Note Added: 0004753
2014-06-03 09:43 Ivan Assigned To Ivan => AVS
2014-06-03 09:43 Ivan Status feedback => assigned
2014-06-03 10:59 Ivan Note Edited: 0004753 View Revisions
2014-06-21 12:18 AVS Note Added: 0004762
2014-06-21 13:44 AVS Note Added: 0004763
2015-03-11 23:11 SXX Note Added: 0005624
2015-12-24 13:59 SXX Note Added: 0006210
2015-12-24 13:59 SXX Status assigned => closed
2015-12-24 13:59 SXX Resolution reopened => fixed
2015-12-24 13:59 SXX Fixed in Version 0.94b => 0.98f

Site | Forums | Wiki | Slack | GitHub


Copyright © 2000 - 2018 MantisBT Team
Hosting provided by DigitalOcean